X2Go Bug report logs - #467
Segfault when using SDL_Init()

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: plutoo@gmx.com

Date: Sat, 29 Mar 2014 18:10:02 UTC

Severity: normal

Merged with 113, 410

Found in version 3.5.0.22

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#467; Package nxagent. (Sat, 29 Mar 2014 18:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to plutoo@gmx.com:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 29 Mar 2014 18:10:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: plutoo@gmx.com
To: submit@bugs.x2go.org
Subject: Segfault when using SDL_Init()
Date: Sat, 29 Mar 2014 19:01:01 +0100
Package: nxagent
Version: 3.5.0.22

-- Description --

When using SDL_Init() in SDL2 I get a segfault in libNX_X11.so. This does not happen using SDL1.

OS: Manjaro Linux 64-bit (Arch Linux based)

$ x2goversion 
x2goagent: 3.5.0.22
x2goserver: 4.0.1.13
x2goserver-compat: 4.0.1.13
x2goserver-extensions: 4.0.1.13
x2goserver-fmbindings: 4.0.1.13
x2goserver-printing: 4.0.1.13
x2goserver-pyhoca: 4.0.1.13

-- GDB Backtrace --

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff4dafcb0 in _X11TransWritev () from /usr/lib/nx/X11/libNX_X11.so.6

#0  0x00007ffff4dafcb0 in _X11TransWritev () from /usr/lib/nx/X11/libNX_X11.so.6
#1  0x00007ffff4d93b8e in _XSend () from /usr/lib/nx/X11/libNX_X11.so.6
#2  0x00007ffff4d88e69 in XQueryExtension () from /usr/lib/nx/X11/libNX_X11.so.6
#3  0x00007ffff4d7eaf2 in XInitExtension () from /usr/lib/nx/X11/libNX_X11.so.6
#4  0x00007ffff50627bb in XextAddDisplay () from /usr/lib/nx/X11/libNX_Xext.so.6
#5  0x00007ffff5271ee1 in XPanoramiXQueryExtension () from /usr/lib/nx/X11/Xinerama/libXinerama.so.1
#6  0x00007ffff7b8d514 in ?? () from /usr/lib/libSDL2-2.0.so.0
#7  0x00007ffff7b906be in ?? () from /usr/lib/libSDL2-2.0.so.0
#8  0x00007ffff7b84181 in ?? () from /usr/lib/libSDL2-2.0.so.0
#9  0x00007ffff7aec5ff in ?? () from /usr/lib/libSDL2-2.0.so.0
#10 0x00000000004006bb in main () at a.c:4

-- Reproduce --

$ gcc -o a a.c -lSDL2 -I/usr/include/SDL2
$ cat a.c 
#include <SDL.h>

int main() {
    SDL_Init(SDL_INIT_EVERYTHING);

    SDL_Quit();
    return 0;
}
$./a
Segmentation fault (core dumped)


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#467; Package nxagent. (Mon, 30 Jun 2014 13:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 13:20:02 GMT) (full text, mbox, link).


Message #10 received at 467@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: plutoo@gmx.com
Cc: 467@bugs.x2go.org
Subject: Duplicate of #410
Date: Mon, 30 Jun 2014 13:17:05 +0000
[Message part 1 (text/plain, inline)]
Control: forcemerge -1 #410

Hi,

a while back you reported an SDL_Init issue with X2Go's X11 agent (x2goagent).

We are currently investigating something very similar that occurs on  
Archlinux, which gets documented as bug #410.

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Merged 113 410 467 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 467-submit@bugs.x2go.org. (Mon, 30 Jun 2014 13:20:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Jun 2014 20:05:02 GMT) (full text, mbox, link).


Notification sent to plutoo@gmx.com:
Bug acknowledged by developer. (Mon, 30 Jun 2014 20:05:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 29 Jul 2014 05:24:01 GMT) (full text, mbox, link).


Bug unarchived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 19:40:02 GMT) (full text, mbox, link).


Bug archived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 20:20:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 6 07:34:51 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.